<div class="modal-dialog">    
  <!-- Modal content-->
  <div class="modal-content">
    <div class="modal-header">
      <h4 class="modal-title">Add Food</h4>
      <button type="button" class="close" data-dismiss="modal">&times;</button>  
    </div>

  <div class="modal-body">
    <form  action="/addFoodModal" method="post" role="form">
    {{ form.csrf }}
    <div class="form-group" id="foodForm">
      <label for="foodName">*Name:</label>
      <a>{{selectedFood}}</a>
      <br>
      <label for="city">City:</label>
      <a>{{selectedCity.name}}</a>
      <br>
      <br>
      <label for="address">Address:</label> 
      <input type="text" class="form-control" id="address" name="address" placeholder="E.g. Rue Henri Maus 49, 1000 Bruxelles, Belgium">
      <br>
      <label for="mealType">Meal Type:</label>
      <select id="mealType" name="mealType" class="form-control">
      {% for key, value in mealTypeDict.items() %}
        <option value="{{key}}" {% if value == form.mealType.data %} selected="selected" {% endif %} >
          {{value}}
        </option>
      {% endfor %}
      </select>
      <br>
      <label for="interestLevel">Interest Level (1-5):</label>
      <div class="slidecontainer">
        <input id="range" type="range" name="interestLevel" min="1" step="1" max="5" value="3" class="white" onchange="updateTextInput(this.value);">
        <p id="value2">Won't be heartbroken if I didn't go</p>
      </div>
      <br>
      <label for="foodNotes">Notes:</label>
      <br>
      <textarea id="foodNotes" rows="5" cols="50" name="foodNotes"></textarea>
    </div>
    <button type="submit" class="btn btn-success" onclick="openAddressModal()">Save</button>
    </form>  
 </div>
 <div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
  </div>
</div>

<script>
function updateTextInput() {
  var value1 = Number(document.getElementById("range").value);
  var value2 = "";
  var interestDict = {{ interestLevelDict|tojson|safe }};

  document.getElementById('value2').innerHTML = interestDict[value1];  
}

</script>